QGIS Application - Bug report #14778
Save As Vector
2016-05-06 01:16 AM - Lene Fischer

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.14.2 Regression?: No
Operating System: Windows 64 bit Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 22735
Description

When | want to 'Save As' in a vector layer, a new functionality to choose geometry is now available. As default it is set as Automatic. In the
part of the dialog is also "Include z-value".

When | save a vectorfile and the "Automatic” is used the "Include z-value" is greyed out and ticked 'on'. This result in data where | get an
error:"*Input layer has unsupported geometry type -2147483646*" when | want to 'Clip' or use the plugin "Clip Multiple layer"

So the 'Save As' function in the new version gives data which are "wrong".

History

#1 - 2016-05-06 07:56 AM - Harrissou Santanna

If you select another type of geometry, uncheck the "include z-values" option and reselect 'Automatic’, is the z-values option kept unchecked? And do you
still get erroneous data?

#2 - 2016-05-06 09:14 AM - Lene Fischer

When | select another type of geometry, the z-factor is still "on". | have to uncheck.
If  uncheck - the data is the OK.

#3 - 2016-05-06 01:07 PM - Nyall Dawson
- Status changed from Open to Feedback

Lene -

That checkbox will only default to on IF the source layer you are saving has z coordinates. Can you share your source layer?

Nyall

#4 - 2016-05-06 02:07 PM - Lene Fischer
- File JERNBANE.zip added

This is railway (sealand) from the Danish geodata agency.

#5 - 2016-05-08 02:53 AM - Nyall Dawson
- Resolution set to invalid

- Status changed from Feedback to Closed

Lene - that source file DOES have z coordinates in the geometry. So defaulting to saving it and keeping the Z coordinate is the correct action here.

Files

JERNBANE.zip 769 KB 2016-05-06 Lene Fischer
